### Method

# EBook BookClientView dup_contacts_finish

since: 3.50

#### Declaration [src]

    gboolean
    e_book_client_view_dup_contacts_finish (
      EBookClientView* self,
      GAsyncResult* result,
      guint* out_range_start,
      GPtrArray** out_contacts,
      GError** error
    )

#### Description [src]

Finishes previous call of e_book_client_view_dup_contacts(); see it for further information.

Free the returned `GPtrArray` with g_ptr_array_unref(), when no longer needed.

Note: This function can be used only with `E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY`.

Available since: 3.50

#### Parameters

`result`

  Type: `GAsyncResult`

  An asynchronous call result.

  The data is owned by the caller of the method.

`out_range_start`

  Type: `guint*`

  Output location where to store original range start, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`out_contacts`

  Type: An array of `EContact*`

  output location where to store array of the read contacts.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded; if not, the `error` is set.